const getters = {
  openSoket: state => state.settings.openSoket,
  sidebar: state => state.app.sidebar,
  size: state => state.app.size,
  countryList: state => state.app.countryList,
  device: state => state.app.device,
  visitedViews: state => state.tagsView.visitedViews,
  cachedViews: state => state.tagsView.cachedViews,
  token: state => state.user.token,
  name: state => state.user.name,
  roles: state => state.user.roles,
  authUserId: state => state.user.authUserId,
  userIdentity: state => state.user.userIdentity,
  copyUserInfo: state => state.user.copyUserInfo,
  permission_routes: state => state.permission.routes,
  errorLogs: state => state.errorLog.logs,
  initRouter: state => state.permission.initRouter,
  routes: state => state.permission.routes,
  proxyInfo: state => state.proxy.proxyInfo,
  proxyState: state => state.proxy.proxyState,
  isChangeProxy: state => state.proxy.isChangeProxy,
  shopType: state => state.user.shopType,
  brandId: state => state.user.brandId,
  socketState: state => state.webSocket.socketState,
  messageList: state => state.webSocket.messageList
}
export default getters
