const Mock = require('mockjs')

const count = 10
const authList = []

for (let i = 0; i < count; i++) {
  authList.push(Mock.mock({
    authParty: '@ctitle(4,8)', // 授权机构
    authUserId: '@increment(1)', // 供应商用户id
    createBy: '@cname', // 创建人
    createTime: '@date', // 创建时间
    id: '@increment(1)', // 授权id
    status: '@integer(0,1)' // 上架状态
  }))
}

module.exports = [
  // {
  //   url: '/auth/list',
  //   type: 'get',
  //   response: config => {
  //     return {
  //       code: 0,
  //       data: {
  //         list: authList,
  //         total: authList.length,
  //         endRow: 0,
  //         firstPage: 0,
  //         hasNextPage: true,
  //         hasPreviousPage: true,
  //         isFirstPage: true,
  //         isLastPage: true,
  //         lastPage: 0,
  //         navigateFirstPage: 0,
  //         navigateLastPage: 0,
  //         navigatePages: 0,
  //         navigatepageNums: [],
  //         nextPage: 0,
  //         pageNum: 0,
  //         pageSize: 0,
  //         pages: 0,
  //         prePage: 0,
  //         size: 0,
  //         startRow: 0
  //       }
  //     }
  //   }
  // }
]

// {
//   "code": 0,
//   "data": {
//     "endRow": 0,
//     "firstPage": 0,
//     "hasNextPage": true,
//     "hasPreviousPage": true,
//     "isFirstPage": true,
//     "isLastPage": true,
//     "lastPage": 0,
//     "list": [
//       {
//         "authParty": "",
//         "authUserId": 0,
//         "createBy": "",
//         "createTime": "",
//         "id": 0,
//         "status": 0
//       }
//     ],
//     "navigateFirstPage": 0,
//     "navigateLastPage": 0,
//     "navigatePages": 0,
//     "navigatepageNums": [],
//     "nextPage": 0,
//     "pageNum": 0,
//     "pageSize": 0,
//     "pages": 0,
//     "prePage": 0,
//     "size": 0,
//     "startRow": 0,
//     "total": 0
//   },
//   "msg": ""
// }
// }
